﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="Tab" AutoEventWireup="true" CodeBehind="TabFeatures.aspx.cs" Inherits="tabwithwaitingpopup.TabFeatures" %>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<h2>Tab Features:</h2>
<br />
<br/>
<div id = "ControlRegion">
            <h4>Switch to Next tab item</h4>
            <div style="width: 600px">
        <ej:Tab ID="DefaulttasdbContent" runat="server" Width="600px" ClientSideOnActive="active">
            <Items>
                <ej:TabItem Id="ASPNET" Text="ASP.NET">
                    <ContentSection>
                        <table>
                            <tr>
                                <td valign="top">
                                    <div>
                                        ASP.NET is a server-side Web application framework designed for Web development to produce dynamic Web pages. 
                                    It was developed by Microsoft to allow programmers to build dynamic web sites, web applications and web services. 
                                    It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor to Microsoft's Active Server Pages (ASP) technology. 
                                    ASP.NET is built on the Common Language Runtime (CLR), allowing programmers to write ASP.NET code using any supported .NET language. 
                                    The ASP.NET SOAP extension framework allows ASP.NET components to process SOAP messages.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </ContentSection>
                </ej:TabItem>
                <ej:TabItem Id="MVC"  Text="ASP.NET MVC">
                </ej:TabItem>
            </Items>
        </ej:Tab>
    </div>
</div>

    <script>
        var dataLoaded = false, popupObj;
        function active() {
            if (!dataLoaded) {      // To check the ajax data is already loaded or not
                $.ajax({
                    type: "GET",
                    url: "http://localhost:57773/Content/samplecontent/mvccontent.html",
                    dataType: "html",
                    beforeSend: function () {
                        if (!popupObj) {
                            $("#MVC").ejWaitingPopup({
                                showOnInit: true
                            });     // Creating the WaitingPopup to the tab content div before Ajax Send.
                        }
                        else {
                            popupObj.refresh();
                            popupObj.show();
                        }
                    },
                    success: function (data) {
                        setTimeout(function () {                 // Data is retrieved from the local page not from Online. So that, here setTimeOut used to show the WaitingPopup
                           
                            $("#MVC").ejWaitingPopup('hide');
                            $('#MVC').html(data);
                            dataLoaded = true;
                        }, 3000);
                    },
                });
            }
        }

    </script>
</asp:Content>
